KIO Link
KIO Link XC APIKIO Link APIKIO BMSHuawei BMS
Huawei Alert
KIO Link XC APIKIO Link APIKIO BMSHuawei BMS
Huawei Alert
  1. Huawei BMS
  • Get Online Sensors (EnteliCloud)
    POST
  • Get Online Alarms (EnteliCloud)
    POST
  • EcoStruxure — Basic Auth
    GET
  • Cargar Archivos
    GET
  • EcoStruxure
    GET
  • Get Online Sensors
    POST
  • Get Online Alarms
    POST
  • OAuth
    POST
  1. Huawei BMS

EcoStruxure

QA Environment
QA Environment
GET
/north/ecoStruxure/get_data
Last modified:2026-04-07 16:59:10
Maintainer:Not configured

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/north/ecoStruxure/get_data' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "devices": [
        {
            "source": "string",
            "_id": "string",
            "resource_id": "string",
            "location": "string",
            "points": [
                {
                    "_id": "string",
                    "name": "string",
                    "code": "string",
                    "original_value": "string",
                    "real_value": "string",
                    "unit": "string",
                    "sampling_time": 0
                }
            ],
            "created_at": "string",
            "expireAt": "string",
            "__v": 0
        }
    ],
    "alarms": [
        {
            "source": "string",
            "_id": "string",
            "resource_id": "string",
            "signalname": "string",
            "event_snapshot": "string",
            "unit": "string",
            "event_level": "string",
            "description": "string",
            "event_time": 0,
            "created_at": "string",
            "expireAt": "string",
            "__v": 0
        }
    ]
}
Modified at 2026-04-07 16:59:10
Previous
Cargar Archivos
Next
Get Online Sensors
Built with